summaryrefslogtreecommitdiffstats
path: root/Wrappers
diff options
context:
space:
mode:
Diffstat (limited to 'Wrappers')
-rw-r--r--Wrappers/Python/conda-recipe/bld.bat4
-rw-r--r--Wrappers/Python/conda-recipe/build.sh4
-rw-r--r--Wrappers/Python/conda-recipe/conda_build_config.yaml3
-rw-r--r--Wrappers/Python/conda-recipe/meta.yaml10
4 files changed, 16 insertions, 5 deletions
diff --git a/Wrappers/Python/conda-recipe/bld.bat b/Wrappers/Python/conda-recipe/bld.bat
index d317f54..97a4e62 100644
--- a/Wrappers/Python/conda-recipe/bld.bat
+++ b/Wrappers/Python/conda-recipe/bld.bat
@@ -1,4 +1,8 @@
+IF NOT DEFINED CIL_VERSION (
+ECHO CIL_VERSION Not Defined.
+exit 1
+)
ROBOCOPY /E "%RECIPE_DIR%\.." "%SRC_DIR%"
%PYTHON% setup.py build_py
diff --git a/Wrappers/Python/conda-recipe/build.sh b/Wrappers/Python/conda-recipe/build.sh
index 2e68519..43e85d5 100644
--- a/Wrappers/Python/conda-recipe/build.sh
+++ b/Wrappers/Python/conda-recipe/build.sh
@@ -1,3 +1,7 @@
+if [ -z "$CIL_VERSION" ]; then
+ echo "Need to set CIL_VERSION"
+ exit 1
+fi
mkdir ${SRC_DIR}/ccpi
cp -r "${RECIPE_DIR}/../../../" ${SRC_DIR}/ccpi
diff --git a/Wrappers/Python/conda-recipe/conda_build_config.yaml b/Wrappers/Python/conda-recipe/conda_build_config.yaml
index 5dd08f5..b7977f3 100644
--- a/Wrappers/Python/conda-recipe/conda_build_config.yaml
+++ b/Wrappers/Python/conda-recipe/conda_build_config.yaml
@@ -2,3 +2,6 @@ python:
- 2.7 # [not win]
- 3.5
- 3.6
+numpy:
+ - 1.12
+ - 1.15
diff --git a/Wrappers/Python/conda-recipe/meta.yaml b/Wrappers/Python/conda-recipe/meta.yaml
index 5de01c5..840590f 100644
--- a/Wrappers/Python/conda-recipe/meta.yaml
+++ b/Wrappers/Python/conda-recipe/meta.yaml
@@ -1,14 +1,13 @@
package:
name: ccpi-framework
- version: 0.11.3
+ version: {{ environ['CIL_VERSION'] }}
build:
preserve_egg_dir: False
-#script_env:
-# - CIL_VERSION
- number: 0
-
+ script_env:
+ - CIL_VERSION
+ #number: 0
test:
requires:
@@ -18,6 +17,7 @@ test:
requirements:
build:
- python
+ - numpy {{ numpy }}
- setuptools
run: